#
# spec file for package psutils (Version p17)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         psutils
Copyright:    1991-1995 Angus J. C. Duggan
Group:        Applications/Publishing
Provides:     psutils-p17
Requires:     perl
Autoreqprov:  on
Version:      p17
Release:      390
Summary:      Tools for manipulating PostScript files
Source: psutils-p17.tar.gz
Patch: psutils-p17.dif

%description
This archive contains some utilities for manipulating PostScript
documents. Page selection and rearrangement are supported,
including arrangement into signatures for booklet printing, and
page merging for n-up printing.
psbook          rearranges pages into signatures
psselect        selects pages and page ranges
pstops          performs general page rearrangement and selection
psnup           put multiple pages per physical sheet of paper
psresize        alter document paper size
epsffit         fits an EPSF file to a given bounding box
You will find a README under /usr/share/doc/packages/psutils/ which also describes
several perl-scripts for importing PostScript files. A manual page for
each ps utility is also included.

Authors:
--------
    Angus J. C. Duggan <angus@harlequin.co.uk>

SuSE series: tex

%prep
%setup
%patch

%build
    make -f Makefile.unix

%install
    make -f Makefile.unix install
    gzip -9fv %{_mandir}/man1/*.1 || true

%files
%doc README LICENSE
/usr/bin/epsffit
/usr/bin/extractres
/usr/bin/fixdlsrps
/usr/bin/fixfmps
/usr/bin/fixmacps
/usr/bin/fixpsditps
/usr/bin/fixpspps
/usr/bin/fixscribeps
/usr/bin/fixtpps
/usr/bin/fixwfwps
/usr/bin/fixwpps
/usr/bin/fixwwps
/usr/bin/getafm
/usr/bin/includeres
/usr/bin/psbook
/usr/bin/psmerge
/usr/bin/psnup
/usr/bin/psresize
/usr/bin/psselect
/usr/bin/pstops
/usr/bin/showchar
%doc %{_mandir}/man1/epsffit.1.gz
%doc %{_mandir}/man1/extractres.1.gz
%doc %{_mandir}/man1/fixdlsrps.1.gz
%doc %{_mandir}/man1/fixfmps.1.gz
%doc %{_mandir}/man1/fixmacps.1.gz
%doc %{_mandir}/man1/fixpsditps.1.gz
%doc %{_mandir}/man1/fixpspps.1.gz
%doc %{_mandir}/man1/fixscribeps.1.gz
%doc %{_mandir}/man1/fixtpps.1.gz
%doc %{_mandir}/man1/fixwfwps.1.gz
%doc %{_mandir}/man1/fixwpps.1.gz
%doc %{_mandir}/man1/fixwwps.1.gz
%doc %{_mandir}/man1/getafm.1.gz
%doc %{_mandir}/man1/includeres.1.gz
%doc %{_mandir}/man1/psbook.1.gz
%doc %{_mandir}/man1/psmerge.1.gz
%doc %{_mandir}/man1/psnup.1.gz
%doc %{_mandir}/man1/psresize.1.gz
%doc %{_mandir}/man1/psselect.1.gz
%doc %{_mandir}/man1/pstops.1.gz
%dir /usr/share/psutils/
/usr/share/psutils/md68_0.ps
/usr/share/psutils/md71_0.ps

%changelog -n psutils
* Thu Dec 14 2000 - werner@suse.de
- Group tag
* Mon May 29 2000 - kukuk@suse.de
- Use doc macro
* Mon Jan 24 2000 - werner@suse.de
- Fix getafm
- Avoid SIGSEGV in psselect with empty page range
- Fix man page of pstops
- Use RPM_OPT_FLAGS
- /usr/man -> /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Nov 16 1997 - werner@suse.de
- Update to new version
- Fix some programs
  * epsffit.c (make showpage work even if inner graphics redefine showpage)
  * psnup.c (remove nasty compile warnings)
  * psutil.c (POSIX conform file position check even if pipes are used)
